aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorjakub <jakub@94c539fb-cf18-0410-b60f-edeeb537fa16>2006-07-18 13:54:33 +0000
committerjakub <jakub@94c539fb-cf18-0410-b60f-edeeb537fa16>2006-07-18 13:54:33 +0000
commit27488573591ade4ccd31d8e392441b76c7188227 (patch)
treed8085bb14960f4100935ef253a9ac333c57f346b
parentff70f55b3166dd03e1caee8ac423ef2df4731c83 (diff)
downloadprelink-cross-27488573591ade4ccd31d8e392441b76c7188227.tar.gz
prelink-cross-27488573591ade4ccd31d8e392441b76c7188227.tar.bz2
prelink-cross-27488573591ade4ccd31d8e392441b76c7188227.zip
20030915
git-svn-id: http://sourceware.org/svn/prelink@94 94c539fb-cf18-0410-b60f-edeeb537fa16
-rwxr-xr-xtestsuite/tls1.sh2
-rwxr-xr-xtestsuite/tls2.sh2
-rwxr-xr-xtestsuite/tls3.sh2
-rwxr-xr-xtestsuite/tls4.sh2
4 files changed, 4 insertions, 4 deletions
diff --git a/testsuite/tls1.sh b/testsuite/tls1.sh
index cf6ce8c..bd17b62 100755
--- a/testsuite/tls1.sh
+++ b/testsuite/tls1.sh
@@ -4,7 +4,7 @@
rm -f tlstest
echo '__thread int a; int main (void) { return a; }' \
| gcc -xc - -o tlstest > /dev/null 2>&1 || exit 77
-./tlstest || { rm -f tlstest; exit 77; }
+( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
rm -f tls1 tls1lib*.so tls1.log
rm -f prelink.cache
$CC -shared -O2 -fpic -o tls1lib1.so $srcdir/tls1lib1.c
diff --git a/testsuite/tls2.sh b/testsuite/tls2.sh
index 670203d..a5b4a86 100755
--- a/testsuite/tls2.sh
+++ b/testsuite/tls2.sh
@@ -4,7 +4,7 @@
rm -f tlstest
echo '__thread int a; int main (void) { return a; }' \
| gcc -xc - -o tlstest > /dev/null 2>&1 || exit 77
-./tlstest || { rm -f tlstest; exit 77; }
+( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
rm -f tls2 tls2lib*.so tls2.log
rm -f prelink.cache
$CC -shared -O2 -fpic -o tls2lib1.so $srcdir/tls2lib1.c
diff --git a/testsuite/tls3.sh b/testsuite/tls3.sh
index 1c97164..64c8f4f 100755
--- a/testsuite/tls3.sh
+++ b/testsuite/tls3.sh
@@ -4,7 +4,7 @@
rm -f tlstest
echo '__thread int a; int main (void) { return a; }' \
| gcc -xc - -o tlstest > /dev/null 2>&1 || exit 77
-./tlstest || { rm -f tlstest; exit 77; }
+( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
SHFLAGS=
case "`uname -m`" in
ia64|ppc*|x86_64|alpha*|s390*) SHFLAGS=-fpic;; # Does not support non-pic shared libs
diff --git a/testsuite/tls4.sh b/testsuite/tls4.sh
index 9e1c7d3..5122f43 100755
--- a/testsuite/tls4.sh
+++ b/testsuite/tls4.sh
@@ -4,7 +4,7 @@
rm -f tlstest
echo '__thread int a; int main (void) { return a; }' \
| gcc -xc - -o tlstest > /dev/null 2>&1 || exit 77
-./tlstest || { rm -f tlstest; exit 77; }
+( ./tlstest || { rm -f tlstest; exit 77; } ) 2>/dev/null || exit 77
rm -f tls4 tls4lib*.so tls4.log
rm -f prelink.cache
$CC -shared -O2 -fpic -o tls4lib1.so $srcdir/tls4lib1.c